/*
 * Copyright (c) 1999-2002, 2004 Sendmail, Inc. and its suppliers.
 *	All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: bf.h,v 1.8 2006/07/14 14:43:17 ca Exp $
 *
 * Contributed by Exactis.com, Inc.
 *
 */

#ifndef BF_H
#define BF_H 1

extern sm_stream_T SmBfIO;

/*
**  "what" flags for sm_io_setinfo() for the sm_file_TYPE file type
**  coordinate with sm/io.h and search for other SM_IO_WHAT_*
*/

#define SM_IO_WHAT_BF_BUFSIZE	1000	/* buffer size */
#define SM_IO_WHAT_BF_COMMIT	1001	/* commit file to disk */
#define SM_IO_WHAT_BF_TRUNCATE	1002	/* truncate the file */
#define SM_IO_WHAT_BF_TEST	1003	/* historical support; temp */

#endif /* ! BF_H */
