#!/bin/sh
# $Id: t-expr-3.sh,v 1.1 2010/06/15 02:13:56 ca Exp $
#

test -s stop && exit 1

# source directory of this (and other) shell script
SD=`dirname $0`

ERRS=0
OUT=ex3.out
ERR=ex3.err
OK=ex3.ok
PRG=./t-expr-0

TEST=0
for i in '1+2+3+4+5+6+7+8+9<1+2+3+4+5+6+7+8+9+10:1'
do
  TEST=`expr $TEST + 1 `
  E=`echo $i | cut -d: -f1`
  R=`echo $i | cut -d: -f2`
  echo "expr == $E;" | $PRG 2>$ERR | grep 'expr:' > $OUT
  printf "expr: %d\n" $R > $OK
  if diff $OUT $OK
  then
    :
  else
    echo "$0: test ${TEST} failed: expr=$E, expected=$R"
    ERRS=`expr ${ERRS} + 1 `
  fi
done

# ----------------
if test "${ERRS}" = "0"
then
  rm -f ${OUT} ${OK} ${ERR}
  exit 0
else
  echo "${ERRS} error(s)"
  exit 1
fi
